org.apache.ignite.internal.processors.query.schema

## Interface SchemaIndexCacheVisitorClosure

    public interface SchemaIndexCacheVisitorClosure

Index closure accepting current entry state.

### Method Summary

Methods
`void` `apply(KeyCacheObject key, int part, CacheObject val, GridCacheVersion ver, long expiration, long link)` Apply closure.

### Method Detail

#### apply

    void apply(KeyCacheObject key,
             int part,
             CacheObject val,
             GridCacheVersion ver,
             long expiration,
             long link)
               throws IgniteCheckedException

Apply closure.

Parameters:
  `key` - Key.
  `part` - Partition.
  `val` - Value.
  `ver` - Version.
  `expiration` - Expiration.
  `link` - Link.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017